%global javaver 1.7
%global hgrev   3290d306074a
%global pname yaja-wrapper

# rpmbuild < 4.6 support
%if ! 0%{?__isa_bits}
%ifarch x86_64 ia64 ppc64 sparc64 s390x alpha ppc64le aarch64
%global __isa_bits 64
%else
%global __isa_bits 32
%endif
%endif

%global __provides_exclude_from ^%{_libdir}/%{name}/.*\.so$

# Whether to build docs too - by default this is not done as Cocoon is not
# available in Fedora.  Instead we ship a prebuilt archive of the docs
# (the doc/english dir).
%bcond_with     docs
%global cocoon  cocoon-2.0.4

Name:           java-service-wrapper
Version:        3.2.5
Release:        %mkrel 25
Group:          Development/Java
Summary:        Java service wrapper
License:        MIT
URL:            https://bitbucket.org/ivertex/yaja-wrapper
# DO NOT TRY TO RELEASE NEW VERSION, see http://lists.fedoraproject.org/pipermail/legal/2011-August/001706.html
Source0:        https://bitbucket.org/ivertex/yaja-wrapper/get/release-3_2_5.tar.bz2
Source1:        %{name}.template.init
# this tar has been generated using --with-docs
Source2:        %{name}-%{version}-docs.tar.bz2
%if %{with docs}
Source3:        http://archive.apache.org/dist/cocoon/BINARIES/%{cocoon}-bin.tar.gz
%endif
# POM for version 3.2.5 is not available on central, so use version 3.2.3 instead.
Source4:        http://repo1.maven.org/maven2/tanukisoft/wrapper/3.2.3/wrapper-3.2.3.pom
Patch0:         %{name}-3.2.4-cflags.patch
Patch1:         %{name}-3.2.4-jnilibpath.patch
Patch2:         %{name}-3.2.4-docbuild.patch
# Use strcpy instead sprintf to copy C string
# Forwarded upstream: https://bitbucket.org/ivertex/yaja-wrapper/issue/6
Patch3:         %{name}-3.2.5-rhbz1037144.patch
Patch99:	ppc64le-support.patch
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
Requires:       java-headless

%description
The Java Service Wrapper enables a Java application to be run as a
Unix daemon.  It also monitors the health of your application and JVM.

%package        javadoc
Summary:        API documentation for %{name}
BuildArch:      noarch

%description    javadoc
API documentation for %{name}.

%prep
%setup -q -n ivertex-%{pname}-%{hgrev}  -a 2
sed '/<version>/s/>.*</>%{version}</' %{SOURCE4} >pom.xml
install -pm 644 %{SOURCE1} doc/template.init
%patch0 -p1
sed -e 's|@LIBPATH@|%{_libdir}/%{name}|' %{PATCH1} | %{__patch} -p1 -F 0
%patch2 -p0
%patch3
%patch99 -p1
%if %{with docs}
mkdir tools ; cd tools
tar xf %{SOURCE3}
unzip -q %{cocoon}/cocoon.war ; mv WEB-INF/lib %{cocoon}/
cd ..
%endif
(cd src/c; cp Makefile-linux-ppc64le-64.make Makefile-linux-aarch64-64.make)


%build
%ant -Dbits=%{__isa_bits} -Djavac.target.version=%{javaver}
%javadoc -sourcepath src/java -Xdoclint:none -d javadoc -link %{_javadocdir}/java -author \
    -windowtitle "Java Service Wrapper API" -doctitle "Java Service Wrapper" \
    -version $(find src/java -name "*.java" -not -path "*/test/*")
%if %{with docs}
rm -r doc/english
%ant -Dbits=%{__isa_bits} doc
%endif


%install
install -Dpm 755 bin/wrapper $RPM_BUILD_ROOT%{_sbindir}/java-service-wrapper

install -dm 755 $RPM_BUILD_ROOT%{_jnidir}
install -dm 755 $RPM_BUILD_ROOT%{_libdir}/%{name}
install -pm 755 lib/libwrapper.so $RPM_BUILD_ROOT%{_libdir}/%{name}
install -pm 644 lib/wrapper.jar $RPM_BUILD_ROOT%{_jnidir}/%{name}.jar
ln -sf %{_jnidir}/%{name}.jar $RPM_BUILD_ROOT%{_libdir}/%{name}/wrapper.jar
    
install -dm 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}
cp -pR javadoc $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files -f .mfiles
%doc AboutThisRepository.txt doc/
%{_sbindir}/java-service-wrapper
%{_libdir}/%{name}/
%license doc/license.txt

%files javadoc
%{_javadocdir}/%{name}
%license doc/license.txt




%changelog
* Wed Mar 02 2016 neoclust <neoclust> 3.2.5-25.mga6
+ Revision: 981979
- Second rebuild of the java stack

* Sun Feb 28 2016 neoclust <neoclust> 3.2.5-24.mga6
+ Revision: 980561
- First rebuild of the java stack
- sync package java-service-wrapper with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.2.5-13.mga5
+ Revision: 740822
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.5-12.mga5
+ Revision: 680643
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.2.5-11.mga4
+ Revision: 530946
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 joequant <joequant> 3.2.5-10.mga4
+ Revision: 461159
- remove java-nodeps from buildrequires

* Sat Jan 12 2013 umeabot <umeabot> 3.2.5-9.mga3
+ Revision: 354806
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 dmorgan <dmorgan> 3.2.5-8.mga3
+ Revision: 341234
- imported package java-service-wrapper


* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 16 2011 Miroslav Suchy <msuchy@redhat.com> - 3.2.5-6
- move jar file from libdir to javadir

* Fri Aug 12 2011 Miroslav Suchy <msuchy@redhat.com> - 3.2.5-5
- do not obsolete of tanukiwrapper as this is not drop in replacement

* Mon Aug  1 2011 Miroslav Suchy <msuchy@redhat.com> - 3.2.5-4
- exclude ppc arch
- exclude ppc64 arch

* Fri Jul 29 2011 Miroslav Suchy <msuchy@redhat.com> - 3.2.5-2
- 707132 - fix path in jnilibpath.patch

* Mon Jun  6 2011 Miroslav Suchy <msuchy@redhat.com> - 3.2.5-1
- remove Provides
- update to 3.2.5
- revert previous change in applying patch1

* Tue May 24 2011 Miroslav Suchy <msuchy@redhat.com> - 3.2.4-2.20100928hg637f7cc19e33
- add Provides
- removed epoch from BR
- apply patch1 in way, which does not confuse rpmlint

* Fri May 20 2011 Ville Skyttä <ville.skytta@iki.fi> - 3.2.4-1.20100928hg637f7cc19e33
- Complete rework of the old Fedora tanukiwrapper package.
